Bug 177578 - gstreamer-python has invalid macros in spec file
gstreamer-python has invalid macros in spec file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gstreamer-python (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 16:49 EST by Bill Nottingham
Modified: 2014-03-16 22:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-02 07:52:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-01-11 16:49:33 EST
At the top:

%define         gst_minver      0.8.7
%define         gstp_minver     0.8.5
%define         gstreamer       gstreamer


Yet later it refers to:

Requires:       %{gstreamer} >= %{_gst_minver}
Requires:       %{gstreamer}-plugins >= %{_gstp_minver}

BuildRequires:  %{gstreamer}-devel >= %{_gst_minver}
BuildRequires:  %{gstreamer}-plugins-devel >= %{_gstp_minver}

Either the defines need the leading '_', or the Requires/BuildRequires need it
removed...
Comment 1 Thomas Vander Stichele 2006-01-14 10:45:44 EST
fixed, and updated to latest release, thanks

Note You need to log in before you can comment on or make changes to this bug.